Debian Bug report logs - #706522
ITP: pcs -- Pacemaker/Corosync configuration system

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Gerhard Loschwitz <martin.loschwitz@hastexo.com>

Date: Wed, 1 May 2013 08:45:02 UTC

Owned by: Martin Loschwitz <madkiss@debian.org>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>:
Bug#706522; Package wnpp. (Wed, 01 May 2013 08:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Gerhard Loschwitz <martin.loschwitz@hastexo.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>. (Wed, 01 May 2013 08:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Gerhard Loschwitz <martin.loschwitz@hastexo.com>
To: submit@bugs.debian.org
Subject: ITP: pcs - Pacemaker/Corosync configuration system
Date: Wed, 01 May 2013 10:40:11 +0200
Package: wnpp
Severity: wishlist
Owner: Martin Loschwitz <madkiss@debian.org>

* Package name    : pcs
  Version         : 0.9.40
  Upstream Author : Chris Feist
* URL             : https://github.com/feist/pcs/
* License         : GPLv2
  Programming Lang: Python
  Description     : CLI to manipulate Pacemaker/Corosync clusters

 pcs is a shell-utility to manipulate the current resource configuration
 of Pacemaker/Corosync clusters. It allows to start and stop and to add
 and delete resource from the command line and can also set up resources
 of special kinds such as STONITH. It's an alternative to the CRM shell,
 which itself is packaged in the crmsh package and was the default shell
 for Pacemaker up to version 1.1.8. 
 .
 If you want to configure Pacemaker from the command line without using
 its internal XML structure, this package will come in handy.

-- 
Martin Gerhard Loschwitz
Chief Brand Officer, Principal Consultant
hastexo Professional Services

CONFIDENTIALITY NOTICE: This e-mail and/or the accompanying documents
are privileged and confidential under applicable law. The person who
receives this message and who is not the addressee, one of his employees
or an agent entitled to hand it over to the addressee, is informed that
he may not use, disclose or reproduce the contents thereof. Should you
have received this e-mail (or any copy thereof) in error, please let us
know by telephone or e-mail without delay and delete the message from
your system. Thank you.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 01 May 2013 20:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>:
Bug#706522; Package wnpp. (Fri, 17 May 2013 07:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filip Chabik <hadret@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>. (Fri, 17 May 2013 07:18:04 GMT) Full text and rfc822 format available.

Message #12 received at 706522@bugs.debian.org (full text, mbox):

From: Filip Chabik <hadret@gmail.com>
To: 706522@bugs.debian.org
Subject: Re: ITP: pcs - Pacemaker/Corosync configuration system
Date: Fri, 17 May 2013 08:15:29 +0100
Hello Martin,

I have prepared test package, but unfortunately I have no cluster to
test it on. If you are interested in playing with it, here's the link:

* http://deb.ianod.es/debian/incoming/pcs_0.9.41-1_all.deb

Rest of the files are present too, just explore incoming directory if
you need them.

Things worth noting:

* I built latest available on GitHub version.
* This packages depends on Pacemaker from experimental branch (currently
it's 1.9.1 version).
* Package itself is highly experimental too, so it's advised not to use
it in production or even development branch.

Side notes:

* I will push the package to official Debian repositories once it had
been tested thoroughly.
* I wasn't sure how to handle Ruby gems on which this package depends,
so I pushed their installation and uninstallation via postinst and prerm
(respectively). I will get in touch with Ruby team to ask for their
advise on this one.

Kind regards,
Filip



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>:
Bug#706522; Package wnpp. (Fri, 17 May 2013 07:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Gerhard Loschwitz <martin.loschwitz@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>. (Fri, 17 May 2013 07:24:04 GMT) Full text and rfc822 format available.

Message #17 received at 706522@bugs.debian.org (full text, mbox):

From: Martin Gerhard Loschwitz <martin.loschwitz@gmail.com>
To: Filip Chabik <hadret@gmail.com>, 706522@bugs.debian.org
Subject: Re: Bug#706522: ITP: pcs - Pacemaker/Corosync configuration system
Date: Fri, 17 May 2013 09:21:09 +0200
Filip,

Am 17.05.2013 um 09:15 schrieb Filip Chabik <hadret@gmail.com>:

> Hello Martin,
> 
> I have prepared test package, but unfortunately I have no cluster to
> test it on. If you are interested in playing with it, here's the link:
> 
> * http://deb.ianod.es/debian/incoming/pcs_0.9.41-1_all.deb
> 
in fact, I had already uploaded packages to experimental (I just got a REJECT on
them yesterday for some minor things though).

> Rest of the files are present too, just explore incoming directory if
> you need them.
> 
> Things worth noting:
> 
> * I built latest available on GitHub version.
> * This packages depends on Pacemaker from experimental branch (currently
> it's 1.9.1 version).
> * Package itself is highly experimental too, so it's advised not to use
> it in production or even development branch.
> 
Have you included pcsd? That looked highly broken the last time I looked at it.

> Side notes:
> 
> * I will push the package to official Debian repositories once it had
> been tested thoroughly.
> * I wasn't sure how to handle Ruby gems on which this package depends,
> so I pushed their installation and uninstallation via postinst and prerm
> (respectively). I will get in touch with Ruby team to ask for their
> advise on this one.
> 
I have actually packaged the ruby gems required for pcsd already. It's just that
pcsd looks like something that will blow up every second, so I did not include it
in the package I originally uploaded to experimental.

> Kind regards,
> Filip

Regards
Martin


Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>:
Bug#706522; Package wnpp. (Fri, 17 May 2013 07:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hadret <hadret@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>. (Fri, 17 May 2013 07:45:05 GMT) Full text and rfc822 format available.

Message #22 received at 706522@bugs.debian.org (full text, mbox):

From: Hadret <hadret@gmail.com>
To: 706522@bugs.debian.org
Subject: Fwd: Bug#706522: ITP: pcs - Pacemaker/Corosync configuration system
Date: Fri, 17 May 2013 09:42:45 +0200
On Fri, May 17, 2013 at 09:21:09AM +0200, Martin Gerhard Loschwitz wrote:
> Filip,
> Am 17.05.2013 um 09:15 schrieb Filip Chabik <hadret@gmail.com>:
> in fact, I had already uploaded packages to experimental (I just got a REJECT on
> them yesterday for some minor things though).

This is awesome news (that you already did it, not that it was
rejected). I have fingers crossed for this to succeed next time you
try.

> Have you included pcsd? That looked highly broken the last time I looked at it.

As far as I saw (I removed packages and my built once you told me, that
you already done it), pcsd was included in the packages -- thing is, I
had no place to test it out :(

> I have actually packaged the ruby gems required for pcsd already. It's just that
> pcsd looks like something that will blow up every second, so I did not include it
> in the package I originally uploaded to experimental.

Is it the approach suggest for package maintainers? I'm asking cause I
wonder whether there's no conflict in installing gems via gem command
and APT?

Filip



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>:
Bug#706522; Package wnpp. (Mon, 20 May 2013 08:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Gerhard Loschwitz <martin.loschwitz@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Martin Loschwitz <madkiss@debian.org>. (Mon, 20 May 2013 08:27:09 GMT) Full text and rfc822 format available.

Message #27 received at 706522@bugs.debian.org (full text, mbox):

From: Martin Gerhard Loschwitz <martin.loschwitz@gmail.com>
To: Hadret <hadret@gmail.com>, 706522@bugs.debian.org
Subject: Re: Bug#706522: Fwd: Bug#706522: ITP: pcs - Pacemaker/Corosync configuration system
Date: Mon, 20 May 2013 10:23:33 +0200
Am 17.05.2013 um 09:42 schrieb Hadret <hadret@gmail.com>:

> On Fri, May 17, 2013 at 09:21:09AM +0200, Martin Gerhard Loschwitz wrote:
>> Filip,
>> Am 17.05.2013 um 09:15 schrieb Filip Chabik <hadret@gmail.com>:
>> in fact, I had already uploaded packages to experimental (I just got a REJECT on
>> them yesterday for some minor things though).
> 
> This is awesome news (that you already did it, not that it was
> rejected). I have fingers crossed for this to succeed next time you
> try.
> 
Ya. It really wasn't anything big, but pcsd scares the shit out of me a little bit, esp. because
it tries to download something during the build process, which looks rather scary. Oh well.

>> Have you included pcsd? That looked highly broken the last time I looked at it.
> 
> As far as I saw (I removed packages and my built once you told me, that
> you already done it), pcsd was included in the packages -- thing is, I
> had no place to test it out :(
> 
Ouch :\

>> I have actually packaged the ruby gems required for pcsd already. It's just that
>> pcsd looks like something that will blow up every second, so I did not include it
>> in the package I originally uploaded to experimental.
> 
> Is it the approach suggest for package maintainers? I'm asking cause I
> wonder whether there's no conflict in installing gems via gem command
> and APT?
> 
Well, the general assumption is: If a package needs a ruby gem, that gem would need
to be packaged as a dependency. Installing ruby-gems via postinst is something I 
would rather not want to do; I don't know if it is even allowed as per policy.

The Ruby packages I produced are here:
http://people.debian.org/~madkiss/ruby/

I'd be happy if somebody could discuss with the Ruby maintainers how to carry on with
this; e.g. would there be any interest at their end to maintain these?

> Filip

Best regards
Martin


Message sent on to Martin Gerhard Loschwitz <martin.loschwitz@hastexo.com>:
Bug#706522. (Tue, 15 Oct 2013 14:45:15 GMT) Full text and rfc822 format available.

Message #30 received at 706522-submitter@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 706522-submitter@bugs.debian.org
Subject: pcs
Date: Tue, 15 Oct 2013 16:43:19 +0200
Any update on this package ? Thanks.



Changed Bug title to 'ITP: pcs -- Pacemaker/Corosync configuration system' from 'ITP: pcs - Pacemaker/Corosync configuration system' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 16 Mar 2014 12:52:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:45:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.